WebSphereGlobalSecuritySettings (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereGlobalSecuritySettings interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereGlobalSecuritySettings

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereGlobalSecuritySettings

extends LogicalElement

SSL Settings for a WebSphere Global Security Settings

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  WASGSEC
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getActiveIIOPProtocol()`
`WebSphereUserRegistry` | `getActiveUserRegistry()`
`int` | `getCacheTimeoutMsecs()`
`WebSphereSSLSettings` | `getDefaultSslSetting()`
`boolean` | `getEnabled()`
`boolean` | `getEnableJava2SecRuntimeFiltering()`
`boolean` | `getEnforceJava2Security()`
`boolean` | `getIssuePermissionWarning()`
`WebSphereCell` | `getParent()`
`WebSphereSSLSettings[]` | `getSslSettings()`
`boolean` | `getUseDomainQualifiedUserNames()`
`boolean` | `getUseLocalSecurityServer()`
`WebSphereUserRegistry[]` | `getUserRegistries()`
`boolean` | `hasActiveIIOPProtocol()`
`boolean` | `hasActiveUserRegistry()`
`boolean` | `hasCacheTimeoutMsecs()`
`boolean` | `hasDefaultSslSetting()`
`boolean` | `hasEnabled()`
`boolean` | `hasEnableJava2SecRuntimeFiltering()`
`boolean` | `hasEnforceJava2Security()`
`boolean` | `hasIssuePermissionWarning()`
`boolean` | `hasParent()`
`boolean` | `hasSslSettings()`
`boolean` | `hasUseDomainQualifiedUserNames()`
`boolean` | `hasUseLocalSecurityServer()`
`boolean` | `hasUserRegistries()`
`void` | `setActiveIIOPProtocol(java.lang.String activeIIOPProtocol)`
`void` | `setActiveUserRegistry(WebSphereUserRegistry activeReg)`
`void` | `setCacheTimeoutMsecs(int cacheTimeoutMsecs)`
`void` | `setDefaultSslSetting(WebSphereSSLSettings sslConfig)`
`void` | `setEnabled(boolean enabled)`
`void` | `setEnableJava2SecRuntimeFiltering(boolean enableJava2SecRuntimeFiltering)`
`void` | `setEnforceJava2Security(boolean enforceJava2Security)`
`void` | `setIssuePermissionWarning(boolean permissionWarning)`
`void` | `setParent(WebSphereCell parent)`
`void` | `setSslSettings(WebSphereSSLSettings[] sslConfigs)`
`void` | `setUseDomainQualifiedUserNames(boolean useDomainQualifiedUserNames)`
`void` | `setUseLocalSecurityServer(boolean useLocal)`
`void` | `setUserRegistries(WebSphereUserRegistry[] regs)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereCell getParent()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setParent

    void setParent(WebSphereCell parent)

### hasParent

    boolean hasParent()

### getSslSettings

    WebSphereSSLSettings[] getSslSettings()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"
  Containment Relationship:
    true

### setSslSettings

    void setSslSettings(WebSphereSSLSettings[] sslConfigs)

### hasSslSettings

    boolean hasSslSettings()

### getUserRegistries

    WebSphereUserRegistry[] getUserRegistries()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.GivesDetails" reverse="false"
  Containment Relationship:
    true

### setUserRegistries

    void setUserRegistries(WebSphereUserRegistry[] regs)

### hasUserRegistries

    boolean hasUserRegistries()

### getActiveUserRegistry

    WebSphereUserRegistry getActiveUserRegistry()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setActiveUserRegistry

    void setActiveUserRegistry(WebSphereUserRegistry activeReg)

### hasActiveUserRegistry

    boolean hasActiveUserRegistry()

### getDefaultSslSetting

    WebSphereSSLSettings getDefaultSslSetting()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setDefaultSslSetting

    void setDefaultSslSetting(WebSphereSSLSettings sslConfig)

### hasDefaultSslSetting

    boolean hasDefaultSslSetting()

### getUseLocalSecurityServer

    boolean getUseLocalSecurityServer()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUseLocalSecurityServer

    void setUseLocalSecurityServer(boolean useLocal)

### hasUseLocalSecurityServer

    boolean hasUseLocalSecurityServer()

### getUseDomainQualifiedUserNames

    boolean getUseDomainQualifiedUserNames()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUseDomainQualifiedUserNames

    void setUseDomainQualifiedUserNames(boolean useDomainQualifiedUserNames)

### hasUseDomainQualifiedUserNames

    boolean hasUseDomainQualifiedUserNames()

### getEnabled

    boolean getEnabled()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnabled

    void setEnabled(boolean enabled)

### hasEnabled

    boolean hasEnabled()

### getCacheTimeoutMsecs

    int getCacheTimeoutMsecs()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCacheTimeoutMsecs

    void setCacheTimeoutMsecs(int cacheTimeoutMsecs)

### hasCacheTimeoutMsecs

    boolean hasCacheTimeoutMsecs()

### getIssuePermissionWarning

    boolean getIssuePermissionWarning()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIssuePermissionWarning

    void setIssuePermissionWarning(boolean permissionWarning)

### hasIssuePermissionWarning

    boolean hasIssuePermissionWarning()

### getActiveIIOPProtocol

    java.lang.String getActiveIIOPProtocol()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setActiveIIOPProtocol

    void setActiveIIOPProtocol(java.lang.String activeIIOPProtocol)

### hasActiveIIOPProtocol

    boolean hasActiveIIOPProtocol()

### getEnforceJava2Security

    boolean getEnforceJava2Security()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnforceJava2Security

    void setEnforceJava2Security(boolean enforceJava2Security)

### hasEnforceJava2Security

    boolean hasEnforceJava2Security()

### getEnableJava2SecRuntimeFiltering

    boolean getEnableJava2SecRuntimeFiltering()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnableJava2SecRuntimeFiltering

    void setEnableJava2SecRuntimeFiltering(boolean enableJava2SecRuntimeFiltering)

### hasEnableJava2SecRuntimeFiltering

    boolean hasEnableJava2SecRuntimeFiltering()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD